|
|||||||||
| Home >> All >> org >> apache >> coyote >> http11 >> [ filters overview ] | PREV CLASS NEXT CLASS | ||||||||
SUMMARY: JAVADOC | SOURCE | DOWNLOAD | NESTED | FIELD | CONSTR | METHOD |
DETAIL: FIELD | CONSTR | METHOD | ||||||||
org.apache.coyote.http11.filters
Class SavedRequestInputFilter

java.lang.Objectorg.apache.coyote.http11.filters.SavedRequestInputFilter
- All Implemented Interfaces:
- org.apache.coyote.InputBuffer, org.apache.coyote.http11.InputFilter
- public class SavedRequestInputFilter
- extends java.lang.Object
- implements org.apache.coyote.http11.InputFilter
- extends java.lang.Object
Input filter responsible for replaying the request body when restoring the saved request after FORM authentication.
| Field Summary | |
protected org.apache.tomcat.util.buf.ByteChunk |
input
The original request body. |
| Constructor Summary | |
SavedRequestInputFilter(org.apache.tomcat.util.buf.ByteChunk input)
Create a new SavedRequestInputFilter. |
|
| Method Summary | |
int |
doRead(org.apache.tomcat.util.buf.ByteChunk chunk,
org.apache.coyote.Request request)
Read bytes. |
long |
end()
End the current request (has no effect). |
org.apache.tomcat.util.buf.ByteChunk |
getEncodingName()
Return the name of the associated encoding; here, the value is null. |
void |
recycle()
Make the filter ready to process the next request. |
void |
setBuffer(org.apache.coyote.InputBuffer buffer)
Set the next buffer in the filter pipeline (has no effect). |
void |
setRequest(org.apache.coyote.Request request)
Set the content length on the request. |
| Methods inherited from class java.lang.Object |
clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait |
| Field Detail |
input
protected org.apache.tomcat.util.buf.ByteChunk input
- The original request body.
| Constructor Detail |
SavedRequestInputFilter
public SavedRequestInputFilter(org.apache.tomcat.util.buf.ByteChunk input)
- Create a new SavedRequestInputFilter.
| Method Detail |
doRead
public int doRead(org.apache.tomcat.util.buf.ByteChunk chunk, org.apache.coyote.Request request) throws java.io.IOException
- Read bytes.
- Specified by:
doReadin interfaceorg.apache.coyote.http11.InputFilter
setRequest
public void setRequest(org.apache.coyote.Request request)
- Set the content length on the request.
- Specified by:
setRequestin interfaceorg.apache.coyote.http11.InputFilter
recycle
public void recycle()
- Make the filter ready to process the next request.
- Specified by:
recyclein interfaceorg.apache.coyote.http11.InputFilter
getEncodingName
public org.apache.tomcat.util.buf.ByteChunk getEncodingName()
- Return the name of the associated encoding; here, the value is null.
- Specified by:
getEncodingNamein interfaceorg.apache.coyote.http11.InputFilter
setBuffer
public void setBuffer(org.apache.coyote.InputBuffer buffer)
- Set the next buffer in the filter pipeline (has no effect).
- Specified by:
setBufferin interfaceorg.apache.coyote.http11.InputFilter
end
public long end()
throws java.io.IOException
- End the current request (has no effect).
- Specified by:
endin interfaceorg.apache.coyote.http11.InputFilter
|
|||||||||
| Home >> All >> org >> apache >> coyote >> http11 >> [ filters overview ] | PREV CLASS NEXT CLASS | ||||||||
SUMMARY: JAVADOC | SOURCE | DOWNLOAD | NESTED | FIELD | CONSTR | METHOD |
DETAIL: FIELD | CONSTR | METHOD | ||||||||
JAVADOC
org.apache.coyote.http11.filters.SavedRequestInputFilter